Signatures

Template Delete

DELETE
/signatures/template/{templateId}/delete

Deletes a specific template from the system.

  • The template is identified using the templateId path parameter.
  • Only templates accessible to the authenticated user can be deleted. Looks up the id with no IsTemplate filter, so a non-template envelope id owned by the caller will have its documents/recipients/signGroups/fields deleted, but the parent record is left in place (the final delete statement is scoped to Status='Template').

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

templateId*string

The ID of the template that should be deleted.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/signatures/template/string/delete"
{  "result": {    "statusCode": 200,    "message": "OK",    "data": {      "template": {        "id": "12313e41-0814-4904-905d-ce10595d8311",        "message": "Please review and sign at your earliest convenience."      }    }  },  "origin": "DELETE https://api.doctavian.com/v1/signatures/template/{templateId}/delete",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "4fad1341-8bfb-4cc7-928e-b0dae6ea419e"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/signatures/template/{templateId}/delete",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "1af48843-4cd5-4add-96b4-9bda6ec40648",  "operationId": "f34e701ff5310411832338b58e2ec665"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 500,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/signatures/template/{templateId}/delete",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "a962b376-cb58-4a54-8329-387dd142452d",  "operationId": "c71785450155e643d76f2e1f97989ed5"}